package de.renew.netcomponents;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertFalse;


/**
 * This is a test class for {@link UngroupCommand}.
 *
 * @author 1baaske, 1huss
 */
class UngroupCommandTest {

    /**
     * Test whether the function returns false if the command can't be executed.
     */
    @Test
    public void testIsExecutable() {
        //given
        final UngroupCommand ungroupCommand = new UngroupCommand();
        ungroupCommand.setIsExecutable(false);

        //when
        boolean result = ungroupCommand.isExecutable();

        //then
        assertFalse(result);
    }
}
